exiv2 doesn't find exif data in attacched file
09 Feb 2008 11:02 - paolo -

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Andreas Huggel % Done: 100%
Category: exif Estimated time: 0.00 hour
Target version: 0.18
Description

In the file I'm going to attach exiv2 doesn't find the exif data, while other applications, e.g. exif, does find them

Related issues:
Related to Exiv2 - Bug # 533: Support multiple APP13 Photoshop 3.0 segments i... Closed
Duplicated by Exiv2 - Bug # 561: OLYMPUS X-2,C-50Z - No Exif data found in th... Closed

History
#1 - 11 Feb 2008 23:11 - Andreas Huggel

The file contains two Exif APP1 segments. I would argue that this means the file is invalid, although the Exif standard is not explicit about this.

The first Exif APP1 segment contains the Exif data, the second one is empty. If there are multiple APP1 Exif segments in a file, Exiv2 uses (happens to
use...) the data from the last one.

I'll change this to make it use the first one only. That seems to be what other applications do with this image.

#2 - 10 Dec 2008 08:38 - Andreas Huggel

r1694

#3 - 17 Dec 2008 09:11 - Andreas Huggel
- % Done changed from 0 to 100

#4 - 18 Dec 2008 18:29 - Andreas Huggel
- Status changed from Resolved to Closed

Files
Buzzoni-2007-01-02--22.15.04.JPG 496 KB 09 Feb 2008 Redmine Admin

24 Mar 2019 1/1


